/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 1969-12-31 23:59:59 UTC)
 * on 2021-02-24 at 00:14:02 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * A series of Metrics and BreakdownMetrics associated with a Location over some time range.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LocationMetrics extends com.google.api.client.json.GenericJson {

  /**
   * The location resource name these values belong to.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String locationName;

  /**
   * A list of values for the requested metrics.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<MetricValue> metricValues;

  static {
    // hack to force ProGuard to consider MetricValue used, since otherwise it would be stripped out
    // see https://github.com/google/google-api-java-client/issues/543
    com.google.api.client.util.Data.nullOf(MetricValue.class);
  }

  /**
   * IANA timezone for the location.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String timeZone;

  /**
   * The location resource name these values belong to.
   * @return value or {@code null} for none
   */
  public java.lang.String getLocationName() {
    return locationName;
  }

  /**
   * The location resource name these values belong to.
   * @param locationName locationName or {@code null} for none
   */
  public LocationMetrics setLocationName(java.lang.String locationName) {
    this.locationName = locationName;
    return this;
  }

  /**
   * A list of values for the requested metrics.
   * @return value or {@code null} for none
   */
  public java.util.List<MetricValue> getMetricValues() {
    return metricValues;
  }

  /**
   * A list of values for the requested metrics.
   * @param metricValues metricValues or {@code null} for none
   */
  public LocationMetrics setMetricValues(java.util.List<MetricValue> metricValues) {
    this.metricValues = metricValues;
    return this;
  }

  /**
   * IANA timezone for the location.
   * @return value or {@code null} for none
   */
  public java.lang.String getTimeZone() {
    return timeZone;
  }

  /**
   * IANA timezone for the location.
   * @param timeZone timeZone or {@code null} for none
   */
  public LocationMetrics setTimeZone(java.lang.String timeZone) {
    this.timeZone = timeZone;
    return this;
  }

  @Override
  public LocationMetrics set(String fieldName, Object value) {
    return (LocationMetrics) super.set(fieldName, value);
  }

  @Override
  public LocationMetrics clone() {
    return (LocationMetrics) super.clone();
  }

}
